<?php
/**
 * 2017-07-21 by 我是个导演
 * 欢迎访问支付宝论坛：https://openclub.alipay.com/index.php
 */
//引入核心库文件
require_once  'phpqrcode/phpqrcode.php';
require_once 'AopSdk.php';

$aop = new AopClient ();
$aop->gatewayUrl = 'https://openapi.alipaydev.com/gateway.do';
$aop->appId = '填写你的沙箱appid';
$aop->rsaPrivateKey = '填写你的沙箱环境RSA2私钥';
$aop->alipayrsaPublicKey='填写你的沙箱环境RSA的支付宝公钥';
$aop->apiVersion = '1.0';
$aop->postCharset='utf-8';
$aop->format='json';
$aop->signType = 'RSA2';
$date=date("YmdHis");
$arr=range(1000,9999);
shuffle($arr);

$request = new AlipayTradePrecreateRequest();
$request->setBizContent("{\"out_trade_no\":\"".$date.$arr[0]."\",\"total_amount\":10,\"subject\":\"二维码测试\"}");
//$request->setNotifyUrl("填写自己的http或https的回调地址(异步通知地址)");
$result = $aop->execute($request);
//var_dump($result);
$responseNode = str_replace(".", "_", $request->getApiMethodName()) . "_response";
//获得输出支付宝返回二维码链接
$qrCode = $result->$responseNode->qr_code;

//定义纠错级别
$errorLevel = "L";
//定义生成图片宽度和高度;默认为3
$size = "4";
//调用QRcode类的静态方法png生成二维码图片//
QRcode::png($qrCode, false, $errorLevel, $size);
//生成网址类型
$url="https://openclub.alipay.com/index.php";
$url.="\r\n";
QRcode::png($url, false, $errorLevel, $size);
?>